=== debian/changelog ===
duperemove (0.11-1) unstable; urgency=medium

  * Bump to latest release
  * Description change
  * Add patch to change binaries path from sbin to bin (Closes: #849759)
  * Cherry-pick O_RDONLY for root from kilobyte

 -- Peter Záhradník <peter.zahradnik@znik.sk>  Sat, 31 Dec 2016 09:07:28 +0000

duperemove (0.11~beta4-1) unstable; urgency=low

  * Initial release. (Closes: #784856)

 -- Peter Záhradník <peter.zahradnik@znik.sk>  Wed, 28 Sep 2016 13:38:07 +0100
