## duperemove 0.11.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VER=0.11.beta4
+VER=0.11.1
 RELEASE=v$(VER)
 
 CC ?= gcc
@@ -52,7 +52,8 @@
 endif
 override CFLAGS += -D_FILE_OFFSET_BITS=64 -DVERSTRING=\"$(RELEASE)\" \
 	$(hash_CFLAGS) $(glib_CFLAGS) $(sqlite_CFLAGS) -rdynamic $(DEBUG_FLAGS)
-LIBRARY_FLAGS += $(hash_LIBS) $(glib_LIBS) $(sqlite_LIBS) -lm
+LIBRARY_FLAGS += -Wl,--as-needed -latomic -lm
+LIBRARY_FLAGS += $(hash_LIBS) $(glib_LIBS) $(sqlite_LIBS)
 
 # make C=1 to enable sparse
 ifdef C
@@ -100,6 +101,14 @@
 		install -m 0644 $$man $(DESTDIR)$(MANDIR)/man8; \
 	done
 
+uninstall:
+	for prog in $(install_progs); do \
+		rm -f $(DESTDIR)$(SBINDIR)/$$prog; \
+	done
+	for man in $(MANPAGES); do \
+		rm -f $(DESTDIR)$(MANDIR)/man8/$$man; \
+	done
+
 csum-test: $(csum_test_obj) csum-test.c
 	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(csum_test_obj) -o csum-test csum-test.c  $(LIBRARY_FLAGS)
