=== debian/changelog ===
duperemove (0.11.1-3) unstable; urgency=medium

  * Add cross.patch (Closes: #918500)
  * Re-format patches (gbp pq import => export)

 -- Peter Záhradník <peter.zahradnik@znik.sk>  Thu, 10 Jan 2019 13:18:07 +0000

duperemove (0.11.1-2) unstable; urgency=medium

  * Update Standards-Version to 4.3.0
  * Update Build-Depends

 -- Peter Záhradník <peter.zahradnik@znik.sk>  Tue, 25 Dec 2018 09:53:40 +0000

duperemove (0.11.1-1) unstable; urgency=medium

  * Update Standards-Version
  * Bump debian/compat to 11
  * Update debian/watch
  * Fix insecure-copyright-format-uri
  * Move Vcs from github.com to salsa.debian.org
  * Add Enhances: btrfs-progs (Closes: #854361)
  * Bump to upstream v0.11.1
  * Fix FTBFS for mips/mipsel arch (Closes: #851261)
  * Fix missing include in dbfile.c / FTBFS (Closes: #916104)

 -- Peter Záhradník <peter.zahradnik@znik.sk>  Wed, 19 Dec 2018 11:00:10 +0000

duperemove (0.11-2) unstable; urgency=medium

  * Bump to latest (Closes: #851261)

 -- Peter Záhradník <peter.zahradnik@znik.sk>  Fri, 03 Feb 2017 11:28:07 +0000
