=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Maintainer: Peter Záhradník <peter.zahradnik@znik.sk>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 9), libglib2.0-dev, libgcrypt20-dev, libsqlite3-dev
-Standards-Version: 3.9.8
-Homepage: https://github.com/markfasheh/duperemove
-Vcs-Git: https://github.com/petzah/duperemove.git
-Vcs-Browser: https://github.com/petzah/duperemove.git
+Build-Depends: debhelper (>= 11~), libglib2.0-dev, libsqlite3-dev
+Standards-Version: 4.3.0
+Homepage: https://markfasheh.github.io/duperemove/
+Vcs-Git: https://salsa.debian.org/petzah-guest/duperemove.git
+Vcs-Browser: https://salsa.debian.org/petzah-guest/duperemove
 
 Package: duperemove
 Architecture: linux-any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Enhances: btrfs-progs
 Description: extent-based deduplicator for file systems
  Duperemove is a tool for finding duplicated extents and submitting them for
  deduplication.  When given a list of files it will hash their contents on a
