## duperemove 0.11.2

=== Makefile ===
--- 
+++ 
@@ -1,20 +1,20 @@
-VER=0.11.1
+VER=0.12.dev
 RELEASE=v$(VER)
 
 CC ?= gcc
-CFLAGS ?= -Wall -ggdb -O2
+CFLAGS ?= -Wall -ggdb
 
 MANPAGES=duperemove.8 btrfs-extent-same.8 hashstats.8 show-shared-extents.8
 
 HEADERS=csum.h hash-tree.h results-tree.h kernel.h list.h rbtree.h dedupe.h \
-	btrfs-ioctl.h filerec.h btrfs-util.h debug.h util.h \
-	memstats.h file_scan.h find_dupes.h run_dedupe.h xxhash.h \
+	ioctl.h filerec.h btrfs-util.h debug.h util.h \
+	memstats.h file_scan.h find_dupes.h run_dedupe.h xxhash.h  xxh3.h \
 	bswap.h dbfile.h interval_tree.h interval_tree_generic.h \
 	rbtree_augmented.h list_sort.h stats.h
 CFILES=duperemove.c hash-tree.c results-tree.c rbtree.c dedupe.c filerec.c \
 	btrfs-util.c util.c memstats.c file_scan.c find_dupes.c run_dedupe.c \
 	csum.c dbfile.c interval_tree.c list_sort.c stats.c debug.c
-hash_CFILES=csum-xxhash.c xxhash.c csum-murmur3.c
+hash_CFILES=csum-xxhash.c csum-murmur3.c
 
 CFILES += $(hash_CFILES)
 
@@ -47,12 +47,15 @@
 sqlite_LIBS=$(shell pkg-config --libs sqlite3)
 
 ifdef DEBUG
-	DEBUG_FLAGS = -ggdb3 -fsanitize=address -fno-omit-frame-pointer	\
-			-DDEBUG_BUILD
+	DEBUG_FLAGS = -ggdb3 -fsanitize=address -fno-omit-frame-pointer	-O0 \
+			-DDEBUG_BUILD -DSQLITE_DEBUG -DSQLITE_MEMDEBUG \
+			-DSQLITE_ENABLE_EXPLAIN_COMMENTS -fsanitize-address-use-after-scope
+else
+	CFLAGS += -O2
 endif
+
 override CFLAGS += -D_FILE_OFFSET_BITS=64 -DVERSTRING=\"$(RELEASE)\" \
 	$(hash_CFLAGS) $(glib_CFLAGS) $(sqlite_CFLAGS) -rdynamic $(DEBUG_FLAGS)
-LIBRARY_FLAGS += -Wl,--as-needed -latomic -lm
 LIBRARY_FLAGS += $(hash_LIBS) $(glib_LIBS) $(sqlite_LIBS)
 
 # make C=1 to enable sparse
@@ -69,9 +72,13 @@
 SBINDIR = $(PREFIX)/sbin
 MANDIR = $(SHAREDIR)/man
 
-.c.o:
-	$(check) $(CPPFLAGS) $(CFLAGS) -c $< -o $@ $(LIBRARY_FLAGS)
-	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -c $< -o $@ $(LIBRARY_FLAGS)
+%.c.i: FORCE
+	$(check) $(CPPFLAGS) $(CFLAGS) -c $(subst .i,,$@) -o $@ $(LIBRARY_FLAGS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -E $(subst .i,,$@) -o $@ $(LIBRARY_FLAGS)
+
+%.c.o: FORCE
+	$(check) $(CPPFLAGS) $(CFLAGS) -c $(subst .o,,$@) -o $@ $(LIBRARY_FLAGS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -c  $(subst .o,,$@) -o $@ $(LIBRARY_FLAGS)
 
 all: $(progs)
 debug:
@@ -120,3 +127,5 @@
 
 clean:
 	rm -fr $(objects) $(progs) $(DIST_TARBALL) btrfs-extent-same filerec-test show-shared-extents hashstats csum-*.o *~
+
+FORCE:
