=== debian/changelog ===
duperemove (0.11.2-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:46:42 +1100

duperemove (0.11.2-3build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:15:04 +0000

duperemove (0.11.2-3) unstable; urgency=medium

  * Add some DEP-3 headers for bin/sbin patch
  * Add version string patch
  * Add latomic patch from upstream and remove debian/rules condition

 -- Peter Záhradník <peter.zahradnik@znik.sk>  Thu, 21 Jan 2021 21:33:34 +0000

duperemove (0.11.2-2) unstable; urgency=medium

  * update debian/rules for armel and mipsel to use -latomic

 -- Peter Záhradník <peter.zahradnik@znik.sk>  Wed, 20 Jan 2021 12:55:09 +0000

duperemove (0.11.2-1) unstable; urgency=medium

  * Bump version
  * Update compat, debhelper, standards, copyright
  * Drop patches which were included in upstream/kernel

 -- Peter Záhradník <peter.zahradnik@znik.sk>  Sat, 16 Jan 2021 20:58:34 +0000

duperemove (0.11.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957152)
    - Use upstream patch.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 25 Aug 2020 19:37:15 +0100
