=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: duperemove
-Maintainer: Peter Záhradník <peter.zahradnik@znik.sk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Peter Záhradník <peter.zahradnik@znik.sk>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 11~), libglib2.0-dev, libsqlite3-dev
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), libglib2.0-dev, libsqlite3-dev
+Standards-Version: 4.5.1
+Rules-Requires-Root: binary-targets
 Homepage: https://markfasheh.github.io/duperemove/
-Vcs-Git: https://salsa.debian.org/petzah-guest/duperemove.git
-Vcs-Browser: https://salsa.debian.org/petzah-guest/duperemove
+Vcs-Git: https://salsa.debian.org/petzah/duperemove.git
+Vcs-Browser: https://salsa.debian.org/petzah/duperemove
 
 Package: duperemove
 Architecture: linux-any
