=== debian/changelog ===
duperemove (0.15.2-1) unstable; urgency=medium

  * Salvage Package, set tracker as maintainer, myself as uploader
    (Closes: #1109601)
  * New upstream release 0.15.2 (Closes: #1056946)
    * all Debian patches have become obsolete with this
  * Standards-Version: 4.7.2 (no changes necessary)
  * install show-shared-extents manually (Upstream #388)
  * Patch upstream Makefile to endure reproducibility (Upstream #390)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 24 Sep 2025 11:47:55 +0200
