=== debian/control ===
Source: duperemove
Maintainer: Duperemove Maintainers <duperemove@packages.debian.org>
Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: libbsd-dev, libglib2.0-dev, libsqlite3-dev, libxxhash-dev
Standards-Version: 4.7.2
Rules-Requires-Root: binary-targets
Homepage: https://markfasheh.github.io/duperemove/
Vcs-Git: https://salsa.debian.org/debian/duperemove.git
Vcs-Browser: https://salsa.debian.org/debian/duperemove

Package: duperemove
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: btrfs-progs
Description: extent-based deduplicator for file systems
 Duperemove is a tool for finding duplicated extents and submitting them for
 deduplication.  When given a list of files it will hash their contents on a
 block by block basis and compare those hashes to each other, finding and
 categorizing extents that match each other.
 .
 On BTRFS and, experimentally, XFS, it can then reflink such extents in a
 race-free way.  Unlike hardlink-based solutions, affected files appear
 independent in any way other than reduced disk space used.
