=== debian/watch ===
version=4
opts= \
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/duperemove-$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
  https://github.com/markfasheh/duperemove/tags .*/v?(\d\S+)\.tar\.gz
